function [eq ce ch lambda_e lambda_h Le Lh K N w q_l mu,R,B,I Y] = ...
     eqm_conditions(K_N,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,var_phi,rho)

 % theta is not in log!!!

A_e=(1-beta_e *gamma_e)/(1-gamma_e);
A_h=(1-beta_h *gamma_h)/(1-gamma_h);


R=1/beta_h;
mu_lambda_e=beta_h-beta_e;


% Le / N

temp=1-mu_lambda_e *theta*q_K-beta_e * (1-delta);
temp=temp/(   beta_e*alpha*(1-phi)  ) ;

temp2=K_N.^(alpha*(1-phi)-1 );

Le_N=(temp/temp2).^  (1/ (alpha*phi)  );

constant=(1-mu_lambda_e*theta*q_K-beta_e*(1-delta))/(beta_e*alpha*(1-phi));
Le_N_alphaphi=constant* (K_N)^(1-alpha*(1-phi));

Le_N_2=Le_N_alphaphi^(1/(alpha*phi));

% w

w=(1-alpha) * (Le_N)^(alpha*phi) * (K_N)^(alpha*(1-phi));

% land price

dem=1-beta_e -mu_lambda_e *theta;
temp2=Le_N^(alpha*phi-1)* K_N^(alpha*(1-phi));

num=beta_e * alpha*phi * temp2;

q_l=num/dem;

constant2=beta_e*alpha*phi/(1-beta_e-mu_lambda_e*theta);
q_l_2=constant2*Le_N^(alpha*phi-1)*(K_N)^(alpha*(1-phi));


% B_N

B_N=theta *(q_l *Le_N +q_K *K_N);

% ch_N

ch_N=w + B_N - (B_N)/R;

% lambda_hN

lambda_hN= A_h / ch_N;

% N

temp=w * lambda_hN/rho;
N= temp^(1/(1+psi));

% K

K=K_N *N;
I=delta*K;
% L_e

Le=Le_N*N;
Lh=L-Le;

% B

B=B_N*N;

% Y

Y=Le^(alpha*phi) * K^(alpha*(1-phi)) *N^(1-alpha);

% ch

ch=ch_N*N;

% ce

ce=Y-ch-I;

lambda_e=A_e/ce;

% mu

mu=mu_lambda_e *lambda_e;



lambda_h=lambda_hN/N;


eq=q_l - beta_h *q_l - var_phi/(lambda_h*Lh);



%if Lh<0
%    eq=1e10;
    
%end


allocations=[ce ch lambda_e lambda_h Le Lh K N w q_l mu,R,B,I Y];





end