function [ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,Y]= ...
    sstate(gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,var_phi,rho)

q_K=1;

KN=.01:.01:20;
ix=0;
II=[];

for ii = 1:length(KN)
    K_N=KN(ii);
    [eq(ii) ce ch lambda_e lambda_h Le Lh K N w q_l mu,R,B,I Y] ...
        =eqm_conditions(K_N,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,var_phi,rho);
    adm=1;
    aa=[ce ch lambda_e lambda_h Le Lh K N w q_l mu R-1 B I Y];
    if any(aa<0)
        adm=0;
    end
    if adm == 1
        if ii > 1 && Lh > 0
            if eq(ii)*eq(ii-1) < 0
                ix=ix+1;
                II(ix)=ii;
            end
        end
    end
end

if ix == 0
    error('fatal (sstate) failed to bracket steady state')
end
if ix > 1
    error('fatal (sstate) found more than one steady state')
end
xx=[KN(II-1) KN(II)];   


%find=@(K_N) eqm_conditions(K_N,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,var_phi);

options=optimset('Display','iter','MaxFunEvals',5000,'MaxIter',5000,'TolFun',1e-15,'TolX',1e-20);

[x,fval,exitflag]= ...
    fzero('eqm_conditions',xx,options,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,var_phi,rho);

if abs(fval) > .1e-10 || exitflag ~= 1 || abs(imag(x)) > .1e-10
    error('fatal (sstate) something went wrong with steady state calculation')
end

K_N=x;

[eq ce ch lambda_e lambda_h Le Lh K N w q_l mu,R,B,I Y]=eqm_conditions(K_N,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,var_phi,rho);

resi=steady_state_checker(ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,rho,var_phi);

if max(abs(resi)) > .1e-10 
    error('fatal (sstate) steady state check failed')
end